Skip to content
Start here

List jobs

r2.super_slurper.jobs.list(JobListParams**kwargs) -> SyncSinglePage[JobListResponse]
GET/accounts/{account_id}/slurper/jobs

Lists all R2 Super Slurper migration jobs for the account with their status.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
limit: Optional[int]
maximum50
offset: Optional[int]
ReturnsExpand Collapse
class JobListResponse:
id: Optional[str]
created_at: Optional[str]
finished_at: Optional[str]
overwrite: Optional[bool]
source: Optional[Source]
One of the following:
class SourceS3SourceResponseSchema:
bucket: Optional[str]
endpoint: Optional[str]
keys: Optional[List[str]]
path_prefix: Optional[str]
vendor: Optional[Literal["s3"]]
class SourceGcsSourceResponseSchema:
bucket: Optional[str]
keys: Optional[List[str]]
path_prefix: Optional[str]
vendor: Optional[Literal["gcs"]]
class SourceR2SourceResponseSchema:
bucket: Optional[str]
jurisdiction: Optional[Literal["default", "eu", "fedramp"]]
One of the following:
"default"
"eu"
"fedramp"
keys: Optional[List[str]]
path_prefix: Optional[str]
vendor: Optional[Provider]
status: Optional[Literal["running", "paused", "aborted", "completed"]]
One of the following:
"running"
"paused"
"aborted"
"completed"
target: Optional[Target]
bucket: Optional[str]
jurisdiction: Optional[Literal["default", "eu", "fedramp"]]
One of the following:
"default"
"eu"
"fedramp"
vendor: Optional[Provider]

List jobs

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.r2.super_slurper.jobs.list(
    account_id="account_id",
)
page = page.result[0]
print(page.id)
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": [
    {
      "id": "id",
      "createdAt": "createdAt",
      "finishedAt": "finishedAt",
      "overwrite": true,
      "source": {
        "bucket": "bucket",
        "endpoint": "endpoint",
        "keys": [
          "string"
        ],
        "pathPrefix": "pathPrefix",
        "vendor": "s3"
      },
      "status": "running",
      "target": {
        "bucket": "bucket",
        "jurisdiction": "default",
        "vendor": "r2"
      }
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": [
    {
      "id": "id",
      "createdAt": "createdAt",
      "finishedAt": "finishedAt",
      "overwrite": true,
      "source": {
        "bucket": "bucket",
        "endpoint": "endpoint",
        "keys": [
          "string"
        ],
        "pathPrefix": "pathPrefix",
        "vendor": "s3"
      },
      "status": "running",
      "target": {
        "bucket": "bucket",
        "jurisdiction": "default",
        "vendor": "r2"
      }
    }
  ],
  "success": true
}